## fcitx5-bamboo 1.0.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.6)

project(fcitx5-bamboo VERSION 1.0.0)

find_package(ECM 1.0.0 REQUIRED)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} "${CMAKE_CURRENT_SOURCE_DIR}/cmake" ${CMAKE_MODULE_PATH})
include(FeatureSummary)
include(GNUInstallDirs)
include(ECMUninstallTarget)

find_package(Fcitx5Core REQUIRED)
find_package(Fcitx5Module REQUIRED COMPONENTS TestFrontend)
find_package(Gettext REQUIRED)
find_package(Pthread REQUIRED)

include("${FCITX_INSTALL_CMAKECONFIG_DIR}/Fcitx5Utils/Fcitx5CompilerSettings.cmake")
add_definitions(-DFCITX_GETTEXT_DOMAIN=\"fcitx5-bamboo\")
fcitx5_add_i18n_definition()

add_subdirectory(po)
add_subdirectory(bamboo)
add_subdirectory(src)
add_subdirectory(data)

fcitx5_translate_desktop_file(org.fcitx.Fcitx5.Addon.Bamboo.metainfo.xml.in
    org.fcitx.Fcitx5.Addon.Bamboo.metainfo.xml XML)

install(FILES "${CMAKE_CURRENT_BINARY_DIR}/org.fcitx.Fcitx5.Addon.Bamboo.metainfo.xml" DESTINATION ${CMAKE_INSTALL_DATADIR}/metainfo)

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== debian/changelog ===
fcitx5-bamboo (1.0.0-3) unstable; urgency=medium

  * debian/patches/backport: Add upstream trunk commit to fix FTBFS
    on 32-bit system. (Closes: #1016027)

 -- Boyuan Yang <byang@debian.org>  Sat, 30 Jul 2022 09:48:08 -0400

fcitx5-bamboo (1.0.0-2) unstable; urgency=medium

  * Source-only upload.

 -- Boyuan Yang <byang@debian.org>  Sat, 23 Jul 2022 16:50:17 -0400

fcitx5-bamboo (1.0.0-1) unstable; urgency=medium

  * Initial release.

 -- Boyuan Yang <byang@debian.org>  Fri, 08 Jul 2022 23:09:05 -0400

=== debian/watch ===
version=4
opts="" \
 https://download.fcitx-im.org/fcitx5/fcitx5-bamboo/ \
 fcitx5-bamboo-@ANY_VERSION@@ARCHIVE_EXT@

## fcitx5-bamboo 1.0.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 cmake_minimum_required(VERSION 3.6)
 
-project(fcitx5-bamboo VERSION 1.0.0)
+project(fcitx5-bamboo VERSION 1.0.2)
 
 find_package(ECM 1.0.0 REQUIRED)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} "${CMAKE_CURRENT_SOURCE_DIR}/cmake" ${CMAKE_MODULE_PATH})

=== src/CMakeLists.txt ===

set( fcitx_bamboo_sources
    bamboo.cpp
)

add_library(bamboo MODULE ${fcitx_bamboo_sources})
target_link_libraries(bamboo Fcitx5::Core Fcitx5::Config Bamboo::Core Pthread::Pthread)
target_include_directories(bamboo PRIVATE ${PROJECT_BINARY_DIR})
install(TARGETS bamboo DESTINATION "${CMAKE_INSTALL_LIBDIR}/fcitx5")
fcitx5_translate_desktop_file(bamboo.conf.in bamboo.conf)
install(FILES "${CMAKE_CURRENT_BINARY_DIR}/bamboo.conf" DESTINATION "${CMAKE_INSTALL_DATADIR}/fcitx5/inputmethod")
configure_file(bamboo-addon.conf.in.in bamboo-addon.conf.in)
fcitx5_translate_desktop_file("${CMAKE_CURRENT_BINARY_DIR}/bamboo-addon.conf.in" bamboo-addon.conf)
install(FILES "${CMAKE_CURRENT_BINARY_DIR}/bamboo-addon.conf" RENAME bamboo.conf DESTINATION "${FCITX_INSTALL_PKGDATADIR}/addon")

=== debian/changelog ===
fcitx5-bamboo (1.0.2-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Wed, 23 Nov 2022 10:18:26 -0500

fcitx5-bamboo (1.0.1-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches: Drop merged patch.

 -- Boyuan Yang <byang@debian.org>  Fri, 02 Sep 2022 15:47:57 -0400

=== debian/control ===
Source: fcitx5-bamboo
Priority: optional
Section: utils
Maintainer: Debian Input Method Team <debian-input-method@lists.debian.org>
Standards-Version: 4.6.1
Uploaders:
 Boyuan Yang <byang@debian.org>,
Build-Depends:
 cmake (>= 3.6),
 debhelper-compat (= 13),
 extra-cmake-modules,
 gettext,
 golang,
 fcitx5-modules-dev,
 libfcitx5core-dev,
 pkg-config,
Rules-Requires-Root: no
Homepage: https://github.com/fcitx/fcitx5-bamboo
Vcs-Git: https://salsa.debian.org/input-method-team/fcitx5-bamboo.git
Vcs-Browser: https://salsa.debian.org/input-method-team/fcitx5-bamboo

Package: fcitx5-bamboo
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 fcitx5,
Description: Bamboo (Vietnamese Input Method) engine support for Fcitx
 This package provides a Bamboo (Vietnamese Input Method) engine
 for Fcitx5, based on https://github.com/BambooEngine/bamboo-core.

## fcitx5-bamboo 1.0.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 cmake_minimum_required(VERSION 3.6)
 
-project(fcitx5-bamboo VERSION 1.0.2)
+project(fcitx5-bamboo VERSION 1.0.4)
 
 find_package(ECM 1.0.0 REQUIRED)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} "${CMAKE_CURRENT_SOURCE_DIR}/cmake" ${CMAKE_MODULE_PATH})
@@ -8,7 +8,7 @@
 include(GNUInstallDirs)
 include(ECMUninstallTarget)
 
-find_package(Fcitx5Core REQUIRED)
+find_package(Fcitx5Core 5.0.22 REQUIRED)
 find_package(Fcitx5Module REQUIRED COMPONENTS TestFrontend)
 find_package(Gettext REQUIRED)
 find_package(Pthread REQUIRED)

=== bamboo/CMakeLists.txt ===

file(GLOB BAMBOO_CORE_GO_SRCS bamboo-core/*.go)
file(GLOB BAMBOO_GO_SRCS *.go)

# Custom command for 'go build -buildmode=c-archive ...'
# to create a library from Go codes.
add_custom_command(OUTPUT bamboo-core.a bamboo-core.h
    DEPENDS ${BAMBOO_GO_SRCS} ${BAMBOO_CORE_GO_SRCS} go.mod
    WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}
    COMMAND env go build -buildmode=c-archive
                -o "${CMAKE_CURRENT_BINARY_DIR}/bamboo-core.a"
            ${BAMBOO_GO_SRCS})
add_custom_target(bamboo-core DEPENDS bamboo-core.a)
# Add a custom target for the library.
add_library(Bamboo::Core UNKNOWN IMPORTED GLOBAL)
add_dependencies(Bamboo::Core bamboo-core)
set_target_properties(Bamboo::Core PROPERTIES
     IMPORTED_LOCATION "${CMAKE_CURRENT_BINARY_DIR}/bamboo-core.a"
     INTERFACE_INCLUDE_DIRECTORIES "${CMAKE_CURRENT_BINARY_DIR}")

=== debian/changelog ===
fcitx5-bamboo (1.0.4-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster (oldstable):
    + Build-Depends: Drop versioned constraint on cmake.

  [ Boyuan Yang ]
  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Fri, 16 Jun 2023 18:42:35 -0400

=== debian/control ===
--- 
+++ 
@@ -2,11 +2,11 @@
 Priority: optional
 Section: utils
 Maintainer: Debian Input Method Team <debian-input-method@lists.debian.org>
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Uploaders:
  Boyuan Yang <byang@debian.org>,
 Build-Depends:
- cmake (>= 3.6),
+ cmake,
  debhelper-compat (= 13),
  extra-cmake-modules,
  gettext,

## fcitx5-bamboo 1.0.6

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 cmake_minimum_required(VERSION 3.6)
 
-project(fcitx5-bamboo VERSION 1.0.4)
+project(fcitx5-bamboo VERSION 1.0.6)
 
 find_package(ECM 1.0.0 REQUIRED)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} "${CMAKE_CURRENT_SOURCE_DIR}/cmake" ${CMAKE_MODULE_PATH})

=== debian/changelog ===
fcitx5-bamboo (1.0.6-2) unstable; urgency=medium

  * debian/control: Use golang-any as golang build-dependency as
    suggested by Golang package maintainers. Also ensure that golang
    support is available on loong64. (Closes: #1074311)
  * debian/control: Update build-dependency pkg-config => pkgconf.

 -- Boyuan Yang <byang@debian.org>  Wed, 26 Jun 2024 11:23:58 -0400

fcitx5-bamboo (1.0.6-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Sat, 01 Jun 2024 08:11:57 -0400

fcitx5-bamboo (1.0.5-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Fri, 10 May 2024 18:10:01 -0400

=== debian/control ===
--- 
+++ 
@@ -10,10 +10,10 @@
  debhelper-compat (= 13),
  extra-cmake-modules,
  gettext,
- golang,
+ golang-any,
  fcitx5-modules-dev,
  libfcitx5core-dev,
- pkg-config,
+ pkgconf,
 Rules-Requires-Root: no
 Homepage: https://github.com/fcitx/fcitx5-bamboo
 Vcs-Git: https://salsa.debian.org/input-method-team/fcitx5-bamboo.git

## fcitx5-bamboo 1.0.7

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,14 +1,15 @@
 cmake_minimum_required(VERSION 3.6)
 
-project(fcitx5-bamboo VERSION 1.0.6)
+project(fcitx5-bamboo VERSION 1.0.7)
 
+set(REQUIRED_FCITX_VERSION 5.1.12)
 find_package(ECM 1.0.0 REQUIRED)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} "${CMAKE_CURRENT_SOURCE_DIR}/cmake" ${CMAKE_MODULE_PATH})
 include(FeatureSummary)
 include(GNUInstallDirs)
 include(ECMUninstallTarget)
 
-find_package(Fcitx5Core 5.0.22 REQUIRED)
+find_package(Fcitx5Core ${REQUIRED_FCITX_VERSION} REQUIRED)
 find_package(Fcitx5Module REQUIRED COMPONENTS TestFrontend)
 find_package(Gettext REQUIRED)
 find_package(Pthread REQUIRED)

=== debian/changelog ===
fcitx5-bamboo (1.0.7-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Fri, 24 Jan 2025 00:34:23 -0500

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Priority: optional
 Section: utils
 Maintainer: Debian Input Method Team <debian-input-method@lists.debian.org>
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Uploaders:
  Boyuan Yang <byang@debian.org>,
 Build-Depends:

## fcitx5-bamboo 1.0.8

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,8 +1,8 @@
 cmake_minimum_required(VERSION 3.6)
 
-project(fcitx5-bamboo VERSION 1.0.7)
+project(fcitx5-bamboo VERSION 1.0.8)
 
-set(REQUIRED_FCITX_VERSION 5.1.12)
+set(REQUIRED_FCITX_VERSION 5.1.13)
 find_package(ECM 1.0.0 REQUIRED)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} "${CMAKE_CURRENT_SOURCE_DIR}/cmake" ${CMAKE_MODULE_PATH})
 include(FeatureSummary)

=== bamboo/CMakeLists.txt ===
--- 
+++ 
@@ -8,6 +8,7 @@
     DEPENDS ${BAMBOO_GO_SRCS} ${BAMBOO_CORE_GO_SRCS} go.mod
     WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}
     COMMAND env go build -buildmode=c-archive
+                -trimpath
                 -o "${CMAKE_CURRENT_BINARY_DIR}/bamboo-core.a"
             ${BAMBOO_GO_SRCS})
 add_custom_target(bamboo-core DEPENDS bamboo-core.a)

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
     bamboo.cpp
 )
 
-add_library(bamboo MODULE ${fcitx_bamboo_sources})
+add_fcitx5_addon(bamboo ${fcitx_bamboo_sources})
 target_link_libraries(bamboo Fcitx5::Core Fcitx5::Config Bamboo::Core Pthread::Pthread)
 target_include_directories(bamboo PRIVATE ${PROJECT_BINARY_DIR})
 install(TARGETS bamboo DESTINATION "${CMAKE_INSTALL_LIBDIR}/fcitx5")

=== debian/changelog ===
fcitx5-bamboo (1.0.8-2) unstable; urgency=medium

  * Rebuild against gcc-15 toolchain.

 -- Boyuan Yang <byang@debian.org>  Thu, 02 Oct 2025 12:23:22 -0400

fcitx5-bamboo (1.0.8-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Mon, 11 Aug 2025 22:38:58 -0400

=== debian/watch ===
version=4
opts="pgpmode=auto" \
 https://download.fcitx-im.org/fcitx5/fcitx5-bamboo/ \
 fcitx5-bamboo-@ANY_VERSION@@ARCHIVE_EXT@

## fcitx5-bamboo 1.0.9

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 cmake_minimum_required(VERSION 3.6)
 
-project(fcitx5-bamboo VERSION 1.0.8)
+project(fcitx5-bamboo VERSION 1.0.9)
 
 set(REQUIRED_FCITX_VERSION 5.1.13)
 find_package(ECM 1.0.0 REQUIRED)

=== data/CMakeLists.txt ===
install(DIRECTORY scalable DESTINATION "${CMAKE_INSTALL_DATADIR}/icons/hicolor"
        PATTERN .* EXCLUDE
        PATTERN *~ EXCLUDE)

install(FILES vietnamese.cm.dict DESTINATION "${FCITX_INSTALL_PKGDATADIR}/bamboo")

=== po/CMakeLists.txt ===
fcitx5_install_translation(fcitx5-bamboo)

=== debian/changelog ===
fcitx5-bamboo (1.0.9-2) unstable; urgency=medium

  * debian/control: Bump Standards-Version to 4.7.3.
  * debian/rules: Disable dh_dwz. (Closes: #1129111)

 -- Boyuan Yang <byang@debian.org>  Fri, 27 Feb 2026 11:40:37 -0500

fcitx5-bamboo (1.0.9-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Sun, 26 Oct 2025 15:39:46 -0400

=== debian/control ===
Source: fcitx5-bamboo
Section: utils
Maintainer: Debian Input Method Team <debian-input-method@lists.debian.org>
Standards-Version: 4.7.3
Uploaders:
 Boyuan Yang <byang@debian.org>,
Build-Depends:
 cmake,
 debhelper-compat (= 13),
 extra-cmake-modules,
 gettext,
 golang-any,
 fcitx5-modules-dev,
 libfcitx5core-dev (>= 5.1.14-4~),
 pkgconf,
Homepage: https://github.com/fcitx/fcitx5-bamboo
Vcs-Git: https://salsa.debian.org/input-method-team/fcitx5-bamboo.git
Vcs-Browser: https://salsa.debian.org/input-method-team/fcitx5-bamboo
Description: Bamboo (Vietnamese Input Method) engine support for Fcitx
 This package provides a Bamboo (Vietnamese Input Method) engine
 for Fcitx5, based on https://github.com/BambooEngine/bamboo-core.

Package: fcitx5-bamboo
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 fcitx5,
Description: ${source:Synopsis}
 ${source:Extended-Description}

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_dwz:
	# dh_dwz not needed, see https://bugs.debian.org/1129111
	:
